Connect/Reliability problems when I create a [Broadcom] WiFi Ad-Hoc network on Oneiric

Bug #863799 reported by Joan Jimenez on 2011-10-01
76
This bug affects 14 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

Hello Devs,

We are having an bug/regretion with the WiFI Ad Hoc network on Oneiric.

I have a HP Mini 110 and a Tmobile G1 that is my smarthphone. On Natty I could create a wifi adhoc network and the phone could connect to it. But now on Oneiric I cant. When I create the network (on Oneiric) the phone finds it but cant get an IP adresss from it.

Tell me what more do you need to solve this bug.

ProblemType: Bug
DistroRelease: Ubuntu 11.10
Package: linux-image-3.0.0-12-generic 3.0.0-12.19
ProcVersionSignature: Ubuntu 3.0.0-12.19-generic 3.0.4
Uname: Linux 3.0.0-12-generic i686
NonfreeKernelModules: wl
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
ApportVersion: 1.23-0ubuntu2
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: STAC92xx Analog [STAC92xx Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: renesis 1413 F.... pulseaudio
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfe938000 irq 42'
   Mixer name : 'IDT 92HD81B1X5'
   Components : 'HDA:111d7605,103c308f,00100402'
   Controls : 14
   Simple ctrls : 9
Date: Fri Sep 30 23:29:41 2011
HibernationDevice: RESUME=UUID=8333ebea-f074-4fff-91b0-e8f204baffd9
InstallationMedia: Ubuntu 11.10 "Oneiric Ocelot" - Alpha i386 (20110817)
MachineType: Hewlett-Packard HP Mini 110-1000
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.0.0-12-generic root=UUID=6d86b840-2ff9-4776-970f-a250ee82ef70 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.0.0-12-generic N/A
 linux-backports-modules-3.0.0-12-generic N/A
 linux-firmware 1.60
SourcePackage: linux
UpgradeStatus: Upgraded to oneiric on 2011-09-25 (5 days ago)
dmi.bios.date: 05/11/2009
dmi.bios.vendor: Hewlett-Packard
dmi.bios.version: 308F0 Ver. F.05
dmi.board.name: 308F
dmi.board.vendor: Hewlett-Packard
dmi.board.version: KBC Version 02.09
dmi.chassis.asset.tag: CNU9206554
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.modalias: dmi:bvnHewlett-Packard:bvr308F0Ver.F.05:bd05/11/2009:svnHewlett-Packard:pnHPMini110-1000:pvr03A8100000000000100300000:rvnHewlett-Packard:rn308F:rvrKBCVersion02.09:cvnHewlett-Packard:ct10:cvr:
dmi.product.name: HP Mini 110-1000
dmi.product.version: 03A8100000000000100300000
dmi.sys.vendor: Hewlett-Packard

Joan Jimenez (joajimenez) wrote :
Brad Figg (brad-figg) on 2011-10-01
Changed in linux (Ubuntu):
status: New → Confirmed
Gary M (garym) on 2011-10-04
tags: added: regression-release
Brian Teague (bteague) wrote :

Also seeing this with a Broadcom BCM43224 (WiFi chip in a Macbook Air 3,1) joining an ad-hoc network that worked under Natty. The relevant bits from /var/log/syslog seem to be

Oct 6 15:29:35 empire wpa_supplicant[1015]: Trying to associate with SSID 'tanet-adhoc'
Oct 6 15:29:35 empire kernel: [ 4955.301973] ieee80211 phy0: wl_ops_config: change monitor mode: false (implement)
Oct 6 15:29:35 empire kernel: [ 4955.301979] ieee80211 phy0: wl_ops_config: change power-save mode: false (implement)
Oct 6 15:29:35 empire kernel: [ 4955.314834] ieee80211 phy0: wl_ops_bss_info_changed: qos enabled: false (implement)
Oct 6 15:29:35 empire wpa_supplicant[1015]: nl80211: Failed to set interface into IBSS mode
Oct 6 15:29:35 empire wpa_supplicant[1015]: Association request to the driver failed
Oct 6 15:29:35 empire kernel: [ 4955.324516] ADDRCONF(NETDEV_UP): wlan0: link is not ready

Brian Teague (bteague) wrote :

Thanks to an ArchLinux forum thread, I discovered that the issue is with multiple drivers trying to manage the Broadcom chip. I'm using the restricted "wl" driver, but the opensource drivers load too.

To fix this, I added the following three lines to the bottom of /etc/modprobe.d/blacklist.conf -

blacklist bcma
blacklist brcmsmac
blacklist brcmutil

I'm not familiar with how the restricted drivers are distributed in Ubuntu - it seems that the long-term fix is to blacklist the opensource drivers when the restricted one is enabled.

Thank you for taking the time to file a bug report on this issue.

However, given the number of bugs that the Kernel Team receives during any development cycle it is impossible for us to review them all. Therefore, we occasionally resort to using automated bots to request further testing. This is such a request.

We have noted that there is a newer version of the development kernel than the one you last tested when this issue was found. Please test again with the newer kernel and indicate in the bug if this issue still exists or not.

If the bug still exists, change the bug status from Incomplete to Confirmed. If the bug no longer exists, change the bug status from Incomplete to Fix Released.

Thank you for your help, we really do appreciate it.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-request-3.0.0-12.20
Brian Teague (bteague) on 2011-10-08
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Still an issue. I've confirmed that OP's HP Mini also uses a Broadcom chipset. Changing the owner package to bcmwl-kernel-source - this package should blacklist the other (open-source) Broadcom modules.

Joan Jimenez (joajimenez) wrote :

OP here. Bug is still present with the last kernel version. Even using the Brian Teague's recomended workaround.

Gary M (garym) on 2011-10-09
summary: - Connect/Reliability problems when I create a WiFi Ad-Hoc network on
- Oneiric
+ Connect/Reliability problems when I create a [Broadcom] WiFi Ad-Hoc
+ network on Oneiric
tags: added: hw-specific
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? It will allow additional upstream developers to examine the issue. Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text. Please let us know your results.

Thanks in advance.

tags: added: needs-upstream-testing
Brian Teague (bteague) wrote :

Couldn't test the latest mainline daily (3.1.0-999.201110040905 -- why are they built with gcc 4.2 instead of Oneiric's gcc 4.6?), so I pulled the ubuntu-precise git MASTER, applied the packaging patches from the daily subdirectory, and tested that. Still no luck connecting to an ad-hoc network with the brcmsmac driver. (brcwl still works fine.)

tags: removed: needs-upstream-testing
Changed in linux (Ubuntu):
status: Confirmed → Triaged
Anton Sudak (anton-sudak) wrote :

Also can't create ad-hoc network in Oneiric.
Acer Aspire One 722 with Broadcom 4313

Brian's workaround works for me- only WEP (hex) security works, though.

Demonboy (jamie-followtheboat) wrote :

I'm also having problems with ad hoc network with my BCM4313 on my Compaq Presario CQ42. I have tried Brian's workaround and it does not work. I attemtped to make and install the latest Network Manager applet 0.9.1.90 which created GTK2 and GTK3 conflicts so I had to uninstall it. The furthest I got was joining an ad hoc network for 30 seconds and then disconnecting. This happened once only after adding Brian's workaround. Unfortunately I do not know Ubuntu well enough to identify which are open-source drivers and which are restricted. My blacklist.conf file reads:

# replaced by b43 and ssb.
 blacklist bcm43xx

# this is taken from the broadcom-sta-common.conf file
# wl module from Broadcom conflicts with ssb
# We must blacklist the following modules:
 blacklist b44
 blacklist b43legacy
 blacklist b43
 blacklist brcm80211
 blacklist brcmsmac
 blacklist ssb
 install wl /sbin/modprobe --ignore-install wl $CMDLINE_OPTS

# Brian Teague's fix as per https://bugs.launchpad.net/ubuntu/+source/linux/+bug/863799
blacklist bcma
blacklist brcmsmac
blacklist brcmutil

And an automated blacklist blacklist-bcm43.conf file has been automatically created:
# Warning: This file is autogenerated by bcmwl. All changes to this file will be lost.
blacklist b43
blacklist b43legacy
blacklist ssb
blacklist bcm43xx
blacklist brcm80211

xman (usmannot) wrote :

hi
Same here with my broadcom 4313 chipset on Lenovo G460 on 11.10

Linux mybuntoo 3.0.0-13-generic #22-Ubuntu SMP Wed Nov 2 13:27:26 UTC 2011 x86_64 x86_64 x86_64 GNU/Linux

Output for broadcom wifi chipset " sudo lspci -vnn "

06:00.0 Network controller [0280]: Broadcom Corporation BCM4313 802.11b/g/n Wireless LAN Controller [14e4:4727] (rev 01)
 Subsystem: Broadcom Corporation Device [14e4:0510]
 Flags: bus master, fast devsel, latency 0, IRQ 17
 Memory at d9100000 (64-bit, non-prefetchable) [size=16K]
 Capabilities: [40] Power Management version 3
 Capabilities: [58] Vendor Specific Information: Len=78 <?>
 Capabilities: [48] MSI: Enable- Count=1/1 Maskable- 64bit+
 Capabilities: [d0] Express Endpoint, MSI 00
 Capabilities: [100] Advanced Error Reporting
 Capabilities: [13c] Virtual Channel
 Capabilities: [160] Device Serial Number 00-00-82-ff-ff-55-00-26
 Capabilities: [16c] Power Budgeting <?>
 Kernel driver in use: brcmsmac
 Kernel modules: wl, bcma, brcmsmac

Brians solutions of blacklist those 3 opensource modules doesn't work.

James Bunton (jamesbunton) wrote :

The workaround of blacklisting the three open source modules fixes the problem for me. I think jockey should be doing this automatically when it enables the wl module.

Wolfgang Moser (lebenlechzer) wrote :

This bug affects me since a few days. Is this possible?

Here my output of syslog:

NetworkManager[1137]: <info> Activation (wlan0) starting connection 'shared'
NetworkManager[1137]: <info> (wlan0): device state change: disconnected -> prepare (reason 'none') [30 40 0]
NetworkManager[1137]: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) scheduled...
NetworkManager[1137]: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) started...
NetworkManager[1137]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) scheduled...
NetworkManager[1137]: <info> Activation (wlan0) Stage 1 of 5 (Device Prepare) complete.
NetworkManager[1137]: <info> Activation (wlan0) Stage 2 of 5 (Device Configure) starting...
NetworkManager[1137]: <info> (wlan0): device state change: prepare -> config (reason 'none') [40 50 0]
NetworkManager[1137]: <info> Activation (wlan0/wireless): connection 'shared' has security, and secrets exist. No new secrets needed.
NetworkManager[1137]: <info> Config: added 'ssid' value 'shared'
NetworkManager[1137]: <info> Config: added 'mode' value '1'
NetworkManager[1137]: <info> Config: added 'frequency' value '2412'
NetworkManager[1137]: <info> Config: added 'key_mgmt' value 'NONE'
NetworkManager[1137]: <info> Config: added 'auth_alg' value 'OPEN'
NetworkManager[1137]: <info> Config: added 'wep_key0' value '<omitted>'
NetworkManager[1137]: <info> Config: added 'wep_tx_keyidx' value '0'
<info> Activation (wlan0) Stage 2 of 5 (Device Configure) complete.
NetworkManager[1137]: <info> Config: set interface ap_scan to 2
wpa_supplicant[1402]: Trying to associate with SSID 'shared'
kernel: [ 1863.322142] iwlwifi 0000:03:00.0: L1 Enabled; Disabling L0S
kernel: [ 1863.322449] iwlwifi 0000:03:00.0: Radio type=0x1-0x2-0x0
wpa_supplicant[1402]: nl80211: Failed to set interface into IBSS mode
wpa_supplicant[1402]: Association request to the driver failed
NetworkManager[1137]: <info> (wlan0): supplicant interface state: inactive -> associating
kernel: [ 1863.457509] ADDRCONF(NETDEV_UP): wlan0: link is not ready
wpa_supplicant[1402]: Authentication with 00:00:00:00:00:00 timed out.
wpa_supplicant[1402]: Trying to associate with SSID 'shared'
kernel: [ 1873.486237] iwlwifi 0000:03:00.0: L1 Enabled; Disabling L0S
kernel: [ 1873.486452] iwlwifi 0000:03:00.0: Radio type=0x1-0x2-0x0
wpa_supplicant[1402]: nl80211: Failed to set interface into IBSS mode
wpa_supplicant[1402]: Association request to the driver failed

apienk (andrzej-pienkowski) wrote :

This happens to me with Intel Centrino Wireless-N 1030 using iwlwifi driver on Ubuntu Precise while trying to connect to ad-hoc network. It seems that no other driver uses the mac.

Aug 6 15:26:10 latawiec4 wpa_supplicant[1200]: Trying to associate with SSID 'WMWifiRouter'
Aug 6 15:26:10 latawiec4 kernel: [18951.798441] iwlwifi 0000:03:00.0: L1 Enabled; Disabling L0S
Aug 6 15:26:10 latawiec4 kernel: [18951.805468] iwlwifi 0000:03:00.0: Radio type=0x2-0x2-0x1
Aug 6 15:26:10 latawiec4 wpa_supplicant[1200]: nl80211: Failed to set interface into IBSS mode
Aug 6 15:26:10 latawiec4 wpa_supplicant[1200]: Association request to the driver failed
Aug 6 15:26:10 latawiec4 kernel: [18951.940109] ADDRCONF(NETDEV_UP): wlan0: link is not ready
Aug 6 15:26:20 latawiec4 wpa_supplicant[1200]: Authentication with 00:00:00:00:00:00 timed out.

apienk (andrzej-pienkowski) wrote :

UPDATE: Fixed ad-hoc connectivity issues with iwlwifi by installing linux-backports-modules-cw (compat-wireless).

Adrian Bunk (bunk) wrote :

Just a note that the blacklisting suggested in #3 was implemented in

bcmwl (5.100.82.38+bdcom-0ubuntu6.1) precise-proposed; urgency=low

  * debian/bcmwl-kernel-source.postinst:
    - Blacklist brcmfmac, brcmsmac and bcma so that they don't
      conflict with the closed driver (LP: #873117)

 -- Alberto Milone <email address hidden> Mon, 23 Apr 2012 16:11:56 +0200

Joan Jimenez, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

Also, could you please test the latest upstream kernel available (not the daily folder) following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.12

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: added: bot-stop-nagging needs-full-computer-model needs-upstream-testing
removed: kernel-request-3.0.0-12.20
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: Triaged → Incomplete
Launchpad Janitor (janitor) wrote :

[Expired for linux (Ubuntu) because there has been no activity for 60 days.]

Changed in linux (Ubuntu):
status: Incomplete → Expired
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers